
QGIS Application - Bug report #876

python makefiles don't get OSX flags

2007-12-18 06:12 PM - William Kyngesburye

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10935

Description

The python makefiles don't get either CMAKE_OSX_ARCHITECTURES or CMAKE_OSX_SYSROOT.  So, if Qgis is configured for a

universal binary and/or to use a system SDK, the python components are not built universal, or for the specified SDK (which makes it

impossible to build on Leopard for Tiger, since there are some library version incompatibilities in Leopard).

Also, it's difficult to work around it by patching the makefiles after configuring, since these makefiles are generated during the make

process.  It looks like something needs to be added to python/configure.py.

Looking back at 0.9.0, that has the same problem.

Associated revisions

Revision 18f724ee - 2007-12-19 07:21 PM - Martin Dobias

PyQGIS: support for Mac universal builds - fixes #876

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@7807 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 5054cac6 - 2007-12-19 07:21 PM - Martin Dobias

PyQGIS: support for Mac universal builds - fixes #876

git-svn-id: http://svn.osgeo.org/qgis/trunk@7807 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2007-12-19 10:22 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in .

#2 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
